Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations
PUTImageStore Backup Storage OperationsSince 1.6SynchronousAuth Required

ReconnectImageStoreBackupStorage

ReconnectImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the ImageStore backup storage.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • systemTagsList

      Optional. The system tags.

    • userTagsList

      Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryImageStoreBackupStorageInventoryRequired

    See inventory.

    • hostnameStringRequired

      No description provided.

    • usernameStringRequired

      用户名。

    • sshPortIntegerRequired

      SSH端口。

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

PUT/zstack/v1/backup-storage/image-store/{uuid}/actions

/zstack/v1/backup-storage/image-store/{uuid}/actions

Operation ID

ReconnectImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/image-store/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'

Response Example

200
{ "inventory": { "name": "ImageStore", "totalCapacity": 1.073741824E9, "availableCapacity": 8.05306368E8, "state": "Enabled", "status": "Connected", "attachedZoneUuids": [ "3b8b703c308741ec9a38411d003fdcbe" ] } }

Change History

This API has no change history records yet.

View all change history